- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ProbabilityRules::RuleGenerator::ProbRuleGenerator Class Reference

`#include <ProbRuleGenerator.h>`

Collaboration diagram for Mers::Estimation::Discrete::ProbabilityRules::RuleGenerator::ProbRuleGenerator:

[legend]
List of all members.

## Public Member Functions
| ProbRuleGenerator (const Mers::Models::Base::BaseModel *theBMp, const std::vector< const Mers::Estimation::Discrete::Dissent * > theDissentsVec, unsigned short db=0)
virtual | ~ProbRuleGenerator ()
const std::vector< const Mers::Estimation::Discrete::ProbabilityRules::ObsProbRule * > | getObservationRules (void) const
void | setDebug (const unsigned short db)
## Friends
std::ostream & | operator<< (std::ostream &, ProbRuleGenerator const &)

## Detailed Description

This class is used to extract a set of probability rules (observation and transition rules) from a set of dissents. These rules are then used online in order to properly calculate the component transition and observation probabilities.

Definition at line 85 of file ProbRuleGenerator.h.

## Constructor & Destructor Documentation

ProbRuleGenerator::ProbRuleGenerator | ( | const Mers::Models::Base::BaseModel * | theBMp,
|  | const std::vector< const Mers::Estimation::Discrete::Dissent * > | theDissentsVec,
|  | unsigned short | db = `0` |
| ) |  |  |

Creates new Rule Generator This class does NOT assume ownership of anything and will not delete anything.

Parameters:

  | theBMp | a pointer to the base model
  | theDissentsVec | a vector of dissents that will be used to generate all the probabilities rules
  | db | the initial debug value (0 if unassigned)

Definition at line 51 of file ProbRuleGenerator.cpp.

ProbRuleGenerator::~ProbRuleGenerator | ( |  | ) | `[virtual]`

Destroys all the rule generator. The rule generator doesn't own anything so nothing will be deleted.

Definition at line 61 of file ProbRuleGenerator.cpp.

## Member Function Documentation

const vector< const ObsProbRule * > ProbRuleGenerator::getObservationRules | ( | void |  | ) | const

Determines the set of observation probability rules for this model, allocating a set of ObsProbRule and storing them in a vector. The user of this method is responsible for this memory.

Returns:
  a vector of observation probability rules

Definition at line 72 of file ProbRuleGenerator.cpp.

void ProbRuleGenerator::setDebug | ( | const unsigned short | db | ) |

Sets the debug flag to the value specified

Parameters:

  | db | the value to set the debug flag to (higher numbers are more output)

Definition at line 125 of file ProbRuleGenerator.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ProbabilityRules/RuleGenerator/ProbRuleGenerator.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ProbabilityRules/RuleGenerator/ProbRuleGenerator.cpp